Skip to content

Get Project Observability

GET
/api/v1/admin/projects/{project_id}/observability

Return Langfuse trace summaries and local aggregate telemetry.

project_id
required
Project Id
string format: uuid
limit
Limit
integer
default: 50 >= 1 <= 200
X-Admin-Key
Any of:
string
X-Admin-API-Key
Any of:
string
X-Project-ID
Any of:
string

Successful Response

ProjectObservabilityResponse

Project-level Langfuse and local trace analytics.

object
langfuse_enabled
required
Langfuse Enabled
boolean
langfuse_project_id
Any of:
string
langfuse_url
Any of:
string
messages_over_time
Messages Over Time
Array<object>
object
key
additional properties
any
metrics
Metrics
object
key
additional properties
any
model_distribution
Model Distribution
Array<object>
object
key
additional properties
any
tool_usage
Tool Usage
Array<object>
object
key
additional properties
any
traces
Traces
Array<object>
ObservabilityTraceResponse

Dashboard-visible Langfuse trace summary.

object
cost_usd
required
Cost Usd
number
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
input
Any of:
string
input_tokens
required
Input Tokens
integer
langfuse_url
Any of:
string
latency_ms
required
Latency Ms
integer
model_used
Any of:
string
output
required
Output
string
output_tokens
required
Output Tokens
integer
session_id
required
Session Id
string format: uuid
tool_calls
Tool Calls
Array<object>
object
key
additional properties
any
trace_id
Any of:
string
user_id
required
User Id
string format: uuid

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string